--                ~ utf-8 ~

SET NAMES 'utf8' COLLATE 'utf8_general_ci';

ALTER TABLE `USERS` 
ADD `ALLOW_CAMS` VARCHAR(512) CHARACTER SET latin1 COLLATE latin1_bin NULL
DEFAULT NULL COMMENT 'Cameras ACL' AFTER `STATUS` ;

ALTER TABLE `USERS` ADD `LIMIT_FPS` TINYINT UNSIGNED NULL AFTER `ALLOW_CAMS` ;

ALTER TABLE `USERS` ADD `LIMIT_KBPS` SMALLINT UNSIGNED NULL AFTER `LIMIT_FPS` ;

-- регистронезависимый HOST: any = ANY localhost=LoCalhost
ALTER TABLE `USERS` CHANGE `HOST` `HOST` CHAR(60) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL;
-- регистронезависимый USER(ascii):
ALTER TABLE `USERS` CHANGE `USER` `USER` CHAR(16) CHARACTER SET ascii COLLATE ascii_general_ci NOT NULL; 

