BEGIN {
   err=0
   SECNAME=section
   if ( SECNAME ~ /^[ \t]*$/ ) {
      print "Don't set or empty the necessary \"section\" variable!" > "/dev/stderr"
      exit 1
   }
   NEW_TEMPLATE=new_template
   if ( NEW_TEMPLATE ~ /^[ \t]*$/ ) {
      print "Don't set or empty the necessary \"new_template\" variable!" > "/dev/stderr"
      exit 1
   }
   LL=""
   _SEC=0
   secstart_regexp="^[ \t]*"SECNAME"[ \t]*{"
   replaced=0
   begin_ok=1
}

{
   if ( _SEC == 0 ) {
      if ( $0 ~ secstart_regexp ) {
         _SEC=1
         err = system("cat '"NEW_TEMPLATE"'")
         if ( err != 0 ) {
            print "Error `cat \""NEW_TEMPLATE"\"'" > "/dev/stderr"
            exit err
         }
         printf "\n"
         replaced=1
         next
      }
   } else if ( _SEC == 1 ) {
      if ( /\}[ \t]*$/ )
         _SEC=2
      next
   }

   if ( $0 ~ /^[ \t]*$/ && LL ~ /^[ \t]*$/ ) {
      LL=$0
      next
   } else
      LL=$0
   print
}

END {
   if ( begin_ok && ! err && ! replaced ) {
      # append to the end of file
      err = system("cat '"NEW_TEMPLATE"'")
      if ( err != 0 ) {
         print "Error `cat \""NEW_TEMPLATE"\"'" > "/dev/stderr"
         exit err
      }
      printf "\n"
      exit err
   }
}

