--                ~ utf-8 ~

SET NAMES 'utf8' COLLATE 'utf8_bin';

alter table `MONITORS` add `DISPLAY`
char(1) character set ascii collate ascii_bin
not null default 'L' comment '(L)eft or (R)ight on dual-head system'
after `BIND_MAC`;

alter table `MONITORS` DROP PRIMARY KEY, 
    add PRIMARY KEY ( `BIND_MAC` , `DISPLAY` , `MON_NR` );

alter table `MONITORS` add `WIN17` tinyint unsigned null default null after `WIN16`;
alter table `MONITORS` add `WIN18` tinyint unsigned null default null after `WIN17`;
alter table `MONITORS` add `WIN19` tinyint unsigned null default null after `WIN18`;
alter table `MONITORS` add `WIN20` tinyint unsigned null default null after `WIN19`;
alter table `MONITORS` add `WIN21` tinyint unsigned null default null after `WIN20`;
alter table `MONITORS` add `WIN22` tinyint unsigned null default null after `WIN21`;
alter table `MONITORS` add `WIN23` tinyint unsigned null default null after `WIN22`;
alter table `MONITORS` add `WIN24` tinyint unsigned null default null after `WIN23`;
alter table `MONITORS` add `WIN25` tinyint unsigned null default null after `WIN24`;

-- "noise" -> "noise_threshold" [ empty(def=auto), [10..50] ];
-- update `CAMERAS` set `PARAM`='noise_threshold' where `PARAM`='noise';

-- "motion_sensor" -> "diff_pxls_threshold" [ int of rel%, def 10% ];
-- update `CAMERAS` set `PARAM`='diff_pxls_threshold' where `PARAM`='motion_sensor';

